#include "SFML/Graphics.hpp"
#include "SFML/Window.hpp"
#include "SFML/System.hpp"

#include "math.h"

char VARI[100];
std::string CADENAStr;


int main()
{
    time_t hora;
    struct tm *phora;

    int segundos;

    sf::RenderWindow ventana(sf::VideoMode(800, 600), "MI VENTANA", sf::Style::Close);
    ventana.setFramerateLimit(4);

    sf::Font font;
    if (!font.loadFromFile("sansation.ttf")) throw("¡FUENTES NO ENCONTRADAS!");

    sf::Text miTexto;
    miTexto.setFont(font);

    sf::Event evento;
    while (ventana.isOpen()) {
	ventana.clear(sf::Color::White);

	hora = time(NULL);
	phora = localtime(&hora);

	if (segundos != phora->tm_sec) {
	    segundos = phora->tm_sec;
	    // Estilo C normal
	    sprintf(VARI, "TIME %02d:%02d:%02d", phora->tm_hour, phora->tm_min, phora->tm_sec);
	    //printf("%s \n", VARI);
	    CADENAStr = std::string(VARI);
	    miTexto.setString(CADENAStr);
	    miTexto.setFillColor(sf::Color::Red);
	    miTexto.setOutlineThickness(0.f);
	    miTexto.setLetterSpacing(1.f);
	    miTexto.setCharacterSize(40);
	    miTexto.setPosition(20, 10);
	    ventana.draw(miTexto);

	    // Estilo C++
	    CADENAStr = "TIME " + std::to_string(phora->tm_hour) + ":" + std::to_string(phora->tm_min) + ":" + std::to_string(phora->tm_sec);
	    miTexto.setString(CADENAStr);
	    miTexto.setFillColor(sf::Color::Blue);
	    miTexto.setLetterSpacing(2.f);
	    miTexto.setCharacterSize(60);
	    miTexto.setPosition(20, 60);
	    ventana.draw(miTexto);

	    miTexto.setFillColor(sf::Color::Yellow);
	    miTexto.setOutlineColor(sf::Color {  0x8ECF3CFF} );
	    miTexto.setOutlineThickness(5.f);
	    miTexto.setCharacterSize(60);
	    miTexto.setPosition(20, 130);
	    ventana.draw(miTexto);
	    
	    ventana.display();
	}


	while (ventana.pollEvent(evento)) {
	    if (evento.type == sf::Event::Closed) {
		printf("Cerrando ventana SFML\n");
		ventana.close();
	    }
	 }

    }
}
